%global repo dde-shell

Name:           deepin-shell
Version:        1.99.3
Release:        %autorelease
Summary:        A plugin system for dde
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-shell
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6WaylandCompositor)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(Dtk6Gui)
BuildRequires:  cmake(Dtk6Tools)
BuildRequires:  cmake(Dtk6DConfig)
BuildRequires:  cmake(Dtk6Widget)

BuildRequires:  wayland-protocols-devel
BuildRequires:  cmake(DdeTrayLoader)
BuildRequires:  cmake(TreelandProtocols)
BuildRequires:  cmake(DDEApplicationManager)
BuildRequires:  cmake(yaml-cpp)

BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-res)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xtst)

BuildRequires:  gtest-devel

%description
The dde-shell project provides a plugin system that integrates plugins developed
based on this plugin system into DDE.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%cmake -GNinja \
    -DCMAKE_SKIP_RPATH=ON \
    -DINCLUDE_INSTALL_DIR=%{_includedir}/dde-shell \
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/dde-shell
%{_userunitdir}/dde-shell-plugin@.service
%{_userunitdir}/dde-shell@.service
%dir %{_libdir}/dde-shell
%{_libdir}/dde-shell/*.so
%{_libdir}/libdde-shell.so.0*
%{_libdir}/libds-notification-shared.so.0*
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/
%{_libdir}/qt6/qml/org/deepin/ds/dock/
%{_libdir}/qt6/qml/org/deepin/ds/libdde-shell-plugin.so
%{_libdir}/qt6/qml/org/deepin/ds/qmldir
%dir %{_datadir}/dde-dock
%{_datadir}/dde-dock/icons/dcc-setting/*.svg
%{_datadir}/dde-shell/
%{_datadir}/dsg/configs/org.deepin.dde.shell/
%{_datadir}/dsg/configs/org.deepin.ds.dock/

%files devel
%{_libdir}/libdde-shell.so
%{_libdir}/libds-notification-shared.so
%{_includedir}/dde-shell
%{_libdir}/cmake/DDEShell/

%changelog
%autochangelog
